org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedJavaseGetResource

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedJavaseGetResource

- All Implemented Interfaces:
    PrivilegedAction<URL>
  Enclosing class:
    WebappClassLoaderBase

      protected final class WebappClassLoaderBase.PrivilegedJavaseGetResource
      extends Object
      implements PrivilegedAction<URL>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivilegedJavaseGetResource(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivilegedJavaseGetResource

          public PrivilegedJavaseGetResource(String name)

  - ### Method Detail

    - #### run

          public URL run()

      Specified by:
        `run` in interface `PrivilegedAction<URL>`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.